Subject: Re: rsync: rename .file.JVPk8f -> file: Device or resource busy (16)
From: Frédéric Bron <[email-masked]>
To: [email-masked]
Date: Fri, 16 Apr 2010 12:33:10 +0200
List-Id: <cygwin.cygwin.com>

> Ok, so you're admin.  I assume that `id' lists the administrators
> group in your supplementary group list?

true

> Not really.  So, with the above permissions, rsync fails but mv works,
> right?  What's important when using mv is to mv the file within the
> same filesystem.  Rsync does not fail to copy the file to the USB
> stick.  It fails when trying to rename the copied file on the USB stick
> from its temporary name (.file.foo) to the desired target name.  This
> renaming is what we have to check for.  So, what das mv say when you
> try to just rename the file?  What if you cp the file to the USB stick
> and then try to mv it to another name there?
works perfectly fine.

> Can you please create an strace rsyncing just this single file with
> the failing permissions?

Log file is attached.
In fact I saw that even with full control to my-self on local hard
drive it fails sometimes so this was a bad idea.

> And please add the output of `cacls the_file'.  It's more exact to
> show the ACL than the GUI.
G:\Sauvegarde\Documents\Fred\bin\.pdfbook.exe.w6rU9f Tout le monde:F

"Tout le monde" in French means Everyone en English!

Frédéric
--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple